arrangers:
- names:
    en: Sev Does Music
catalog: N/A
categories:
- Game
category: Game
classification: Arrangement
composers:
- link: artist/56234
  names:
    en: Ronan "Mr. Sauceman" de Castel
- link: artist/56235
  names:
    en: ClascyJitto
- link: artist/56238
  names:
    en: POST ELVIS
covers:
- full: https://media.vgm.io/albums/77/133277/133277-e52896231572.png
  medium: https://media.vgm.io/albums/77/133277/133277-e52896231572.png
  name: Front
  thumb: https://media.vgm.io/albums/77/133277/133277-e52896231572.png
discs:
- disc_length: '103:27'
  name: ''
  tracks:
  - names:
      English: Sour Pizza ✓
    track_length: '2:38'
  - names:
      English: Dilapidated Lobby ✓
    track_length: '2:49'
  - names:
      English: It's Pizza O' Clock ✓
    track_length: '4:38'
  - names:
      English: PHAT A$$ ✓
    track_length: '1:26'
  - names:
      English: Funiculi Faceoff ✓
    track_length: '1:30'
  - names:
      English: Eat Spicy Goodness ✓
    track_length: '4:23'
  - names:
      English: Weenie of The West ✓
    track_length: '2:33'
  - names:
      English: Mort Cube's Revenge ✓
    track_length: '1:15'
  - names:
      English: Stop, You've Violated The Law ✓
    track_length: '4:12'
  - names:
      English: The Pain That I've Endurioli'd ✓
    track_length: '3:42'
  - names:
      English: Tropical Troubles ✓
    track_length: '2:41'
  - names:
      English: Lario'd ✓
    track_length: '2:00'
  - names:
      English: I Am Going To Kill You ✓
    track_length: '2:38'
  - names:
      English: Metabolism Madness ✓
    track_length: '4:20'
  - names:
      English: Bossa Noisetta ✓
    track_length: '2:01'
  - names:
      English: Gambit in The Ghettos ✓
    track_length: '3:19'
  - names:
      English: A Requiem For Snotty ✓
    track_length: '3:38'
  - names:
      English: Snick Slows Down To Talk To You About Life And Stuff :) ✓
    track_length: '3:28'
  - names:
      English: I Am All Of You ✓
    track_length: '5:33'
  - names:
      English: Behind The Scenes ✓
    track_length: '3:37'
  - names:
      English: Munch of '87 ✓
    track_length: '2:50'
  - names:
      English: The Forgotten Floor ✓
    track_length: '2:49'
  - names:
      English: Mr. Stick's Non-Profit Organization ✓
    track_length: '2:28'
  - names:
      English: PP Rank ✓
    track_length: 0:16
  - names:
      English: Shower Time ✓
    track_length: '3:39'
  - names:
      English: What Were You Expecting? ✓
    track_length: '8:38'
  - names:
      English: The End of Pizzagelion ✓
    track_length: '6:09'
  - names:
      English: Toppin' Paradise ✓
    track_length: '4:48'
  - names:
      English: A Secret in The Soundtrack ✓
    track_length: '2:54'
  - names:
      English: 'Pizza Tower: The Anime ✓'
    track_length: '4:16'
  - names:
      English: '[BONUS] Title Cards ✓'
    track_length: '2:19'
distributor: &id001
  link: org/965
  names:
    en: Bandcamp
    ja: Bandcamp
    ja-latn: Bandcamp
  role: retailer
link: album/133277
lyricists: []
media_format: Digital
meta:
  added_date: 2023-10-11T07:58
  edited_date: 2023-10-11T07:58
  fetched_date: 2026-06-06T08:34
  ttl: 86400
  visitors: 722
name: Pizza Tower Fan
names:
  en: Pizza Tower Fan
  ja: Pizza Tower Fan
  ja-latn: Pizza Tower Fan
notes: No notes available for this album.
organizations:
- &id002
  names:
    en: Sev Does Music
    ja: Sev Does Music
    ja-latn: Sev Does Music
  role: publisher
- *id001
performers: []
picture_full: https://media.vgm.io/albums/77/133277/133277-e52896231572.png
picture_small: https://medium-media.vgm.io/albums/77/133277/133277-e52896231572.png
picture_thumb: https://thumb-media.vgm.io/albums/77/133277/133277-e52896231572.png
platforms:
- PC
products:
- link: product/16462
  names:
    en: Pizza Tower
    ja: Pizza Tower
    ja-latn: Pizza Tower
publish_format: Doujin/Indie
publisher: *id002
related:
- catalog: N/A
  link: album/95709
  names:
    en: Pizza Tower (Early OST)
    ja: Pizza Tower (Early OST)
    ja-latn: Pizza Tower (Early OST)
  type: game
- catalog: N/A
  link: album/105701
  names:
    en: Pizza Tower OST REHEATED
    ja: Pizza Tower OST REHEATED
    ja-latn: Pizza Tower OST REHEATED
  type: doujin
- catalog: N/A
  link: album/95711
  names:
    en: snicks album
    ja: snicks album
    ja-latn: snicks album
  type: game
- catalog: N/A
  link: album/126347
  names:
    en: Pizza Tower Soundtrack
    ja: Pizza Tower Soundtrack
    ja-latn: Pizza Tower Soundtrack
  type: game
- catalog: MCOL-0443
  link: album/132712
  names:
    en: 'Music Box Classics: Pizza Tower'
    ja: 'Music Box Classics: Pizza Tower'
    ja-latn: 'Music Box Classics: Pizza Tower'
  type: game
- catalog: GGM-19
  link: album/130007
  names:
    en: 'Pizza Time: A Pizza Tower Tribute'
    ja: 'Pizza Time: A Pizza Tower Tribute'
    ja-latn: 'Pizza Time: A Pizza Tower Tribute'
  type: game
- catalog: FIRE-0039
  link: album/133275
  names:
    en: Cold Spaghetti VIP (from "Pizza Tower")
    ja: Cold Spaghetti VIP (from "Pizza Tower")
    ja-latn: Cold Spaghetti VIP (from "Pizza Tower")
  type: game
- catalog: N/A
  link: album/133273
  names:
    en: Pizza Supreme
    ja: Pizza Supreme
    ja-latn: Pizza Supreme
  type: game
- catalog: MCOL-0435-V
  link: album/135529
  names:
    en: PIZZA TOWER ORIGINAL GAME SOUNDTRACK
    ja: PIZZA TOWER ORIGINAL GAME SOUNDTRACK
    ja-latn: PIZZA TOWER ORIGINAL GAME SOUNDTRACK
  type: game
- catalog: MCOL-0536
  link: album/142275
  names:
    en: Pizza Tower Soundtrack Bonus Tracks
    ja: Pizza Tower Soundtrack Bonus Tracks
    ja-latn: Pizza Tower Soundtrack Bonus Tracks
  type: game
release_date: '2023-10-01'
release_events: []
release_price:
  price: Name Your Price
reprints: []
stores:
- link: http://mettaseven.bandcamp.com/album/pizza-tower-fan
  name: Bandcamp
vgmdb_link: https://vgmdb.net/album/133277?perpage=99999
votes: 0
